<?php

namespace App\Filament\Clusters\Cards\CardOrders\Pages;

use App\Filament\Clusters\Cards\CardOrders\CardOrderResource;
use Filament\Actions\Action;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Resources\Pages\EditRecord;

class EditCardOrder extends EditRecord
{
    protected static string $resource = CardOrderResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Action::make('save_top')
                ->label(__('filament-panels::resources/pages/edit-record.form.actions.save.label'))
                ->submit(null)
                ->action('save'),

            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }
}
